Merchant ID.
Pay Station API (2.0)
- Version: 2.0.0
- Servers:
https://api.xsolla.com/api
Pay Station allows partners to monetize their products by providing users with a convenient UI to pay for in-game purchases in the game store. To set up opening the payment UI, refer to these instructions.
The Pay Station API provides the following groups of calls:
- Token — includes the API call to generate a token with arbitrary user parameters for further payment processing via the payment UI.
- Tokenization — includes API calls to securely process payments without opening the payment UI or involving the user.
- Reports — includes API calls to return data on user transactions, generate reports, and get payouts breakdown by currency.
- Refund — includes API calls to request full and partial refunds.
- Testing — includes the API call to test the chargeback process.
You can find detailed information about configuring the payment UI in the Payments solution integration guide.
Note
You can also refer to the Xsolla Base API section in the Postman collection to test API calls used for integration.
Request
You can create a token with arbitrary user parameters. You send these parameters when obtaining the token and receive them back after a successful payment. A token can only contain parameters either described in this document or predefined by you.
If any parameter is sent in the wrong format or has the wrong type, no token will be issued. You will receive a 422 HTTP code with the error description in the JSON body. In extended_message you will receive an information what exact parameters have been sent incorrectly.
By default, the token lifetime is 24 hours. If you want to change this value, contact your Customer Success Manager or send an email to csm@xsolla.com. The new value will be enabled for all your company’s projects created in Publisher Account.
Notice
The token you obtain after calling this API method can be used only for authorizing other requests. You can use this token to open the payment UI only if you integrated the Subscriptions product.
To open the payment UI in a new window, use the following link: https://secure.xsolla.com/paystation4/?token={token}, where {token} is the received token.
For testing purposes, use this URL: https://sandbox-secure.xsolla.com/paystation4/?token={token}.
Notice
This API call does not contain the project_id path parameter, so you need to use the API key that is valid in all the company’s projects to set up authorization.
This object contains parameters to configure anti-fraud filters. The list of parameters is shown below. To add custom parameters, contact your Customer Success Manager or email at csm@xsolla.com.
- Mock serverhttps://xsolla.redocly.app/_mock/api/pay-station/merchants/{merchant_id}/token
- https://api.xsolla.com/merchant/v2/merchants/{merchant_id}/token
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://xsolla.redocly.app/_mock/api/pay-station/merchants/{merchant_id}/token' \
-H 'Content-Type: application/json' \
-d '{
"settings": {
"currency": "USD",
"language": "en",
"project_id": 16184,
"ui": {
"size": "medium"
}
},
"user": {
"email": {
"value": "email@example.com"
},
"id": {
"value": "user_2"
},
"name": {
"value": "John Smith"
}
}
}'{ "token": "eop57k1boA7nnYPtewZ6KEXJyJADEwRT" }